Index: forensics/win32/scan.py
===================================================================
--- forensics/win32/scan.py	(revision 12)
+++ forensics/win32/scan.py	(working copy)
@@ -126,7 +126,7 @@
 
     if object.fast == True:
         data = object.addr_space.fread(8)
-        (type,size) = unpack('=HH',data[:4])
+        (type,size) = unpack('<HH',data[:4])
         if(size == 0x1b and type == 0x03):
             return True
         return False
@@ -339,7 +339,7 @@
 
     if object.fast == True:
         data = object.addr_space.fread(8)
-        (type,size) = unpack('=HH',data[:4])
+        (type,size) = unpack('<HH',data[:4])
         if(size == 0x70 and type == 0x06):
             return True
         return False
@@ -503,7 +503,7 @@
 
     if object.fast == True:
         data = object.addr_space.fread(8)
-        (PoolTag, ) = unpack('=L',data[4:8])
+        (PoolTag, ) = unpack('<L',data[4:8])
 
         if(PoolTag == 0x41504354):
             return True
@@ -637,7 +637,7 @@
 
     if object.fast == True:
         data = object.addr_space.fread(8)
-        (PoolTag, ) = unpack('=L',data[4:8])
+        (PoolTag, ) = unpack('<L',data[4:8])
 
         if(PoolTag == 0x54504354):
             return True
@@ -733,7 +733,7 @@
 
    if object.fast == True:
       data = object.addr_space.fread(8)
-      (PoolTag, ) = unpack('=L',data[4:8])
+      (PoolTag, ) = unpack('<L',data[4:8])
 
       if(PoolTag == 0x644c6d4d):
          return True
Index: forensics/win32/tasks.py
===================================================================
--- forensics/win32/tasks.py	(revision 12)
+++ forensics/win32/tasks.py	(working copy)
@@ -114,7 +114,7 @@
         while 1:
             found = data.find("\x03\x00\x1b\x00", found+1)
             if found >= 0:
-                (type,size) = unpack('=HH',data[found:found+4])
+                (type,size) = unpack('<HH',data[found:found+4])
                 if process_imagename(addr_space,types,offset+found).find('Idle') != -1:
                     return process_dtb(addr_space, types, offset+found)
 
Index: forensics/x86.py
===================================================================
--- forensics/x86.py	(revision 12)
+++ forensics/x86.py	(working copy)
@@ -194,7 +194,7 @@
         string = self.base.read(addr, 4)
         if not string:
             return None
-        (longval, ) =  struct.unpack('=L', string)
+        (longval, ) =  struct.unpack('<L', string)
         return longval
 
     def is_valid_address(self, addr):
@@ -386,14 +386,14 @@
         string = self.base.read(addr, 4)
         if not string:
             return None
-        (longval, ) =  struct.unpack('=L', string)
+        (longval, ) =  struct.unpack('<L', string)
         return longval
 
     def read_long_long_phys(self, addr):
         string = self.base.read(addr,8)
         if not string:
             return None
-        (longlongval, ) = struct.unpack('=Q', string)
+        (longlongval, ) = struct.unpack('<Q', string)
         return longlongval
 
     def is_valid_address(self, addr):
Index: forensics/addrspace.py
===================================================================
--- forensics/addrspace.py	(revision 12)
+++ forensics/addrspace.py	(working copy)
@@ -59,7 +59,7 @@
 
     def read_long(self, addr):
         string = self.read(addr, 4)
-        (longval, ) =  struct.unpack('=L', string)
+        (longval, ) =  struct.unpack('<L', string)
         return longval
 
     def get_address_range(self):
Index: forensics/object.py
===================================================================
--- forensics/object.py	(revision 12)
+++ forensics/object.py	(working copy)
@@ -73,7 +73,7 @@
     if buf is None:
         return None
 
-    (val, ) = struct.unpack('='+type_unpack_char, buf)
+    (val, ) = struct.unpack('<'+type_unpack_char, buf)
 
     return val
 
@@ -99,7 +99,7 @@
         return None
     
     try:
-        readBuf = readBuf.decode('UTF-16').encode('ascii', 'backslashreplace')
+        readBuf = readBuf.decode('UTF-16-LE').encode('ascii', 'backslashreplace')
     except:
         return None
     
